Subject: Re: [PATCH v5] gitweb: ref markers link to named shortlogs

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Aug 2008 20:42:24 +0200

On Mon, 25 Aug 2008, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > +                     $markers .= " <span class=\"$class\" title=\"$ref\">" .
> > +                             $cgi->a({-href => href(action=>( $indirect ? "tag" : "shortlog"),
> > +                                                    hash=>"refs/$ref")}, $name) .
> > +                             "</span>";
> >
> > or equivalent (not stripping "refs/" in git_get_references).
> 
> If you mean by "hash => $it", I think it is only used as the URL the
> anchor points at, and it is much more preferable to use the canonical
> form.  "...?h=refs/heads/master" and "...h=heads/master" might produce the
> same output, but then it is better for smart caching layer if you always
> used canonical form, isn't it?

Will you do the change, or do you need resend from Giuseppe?

I like the feature that this patch introduces, and this time I don't
have any reservations to the code. So, FWIW, Ack from me.

-- 
Jakub Narebski
Poland